package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.jcgl.TbJcglXfRw;
import com.mosty.base.model.query.jcgl.TbJcglXfRwQuery;

import java.util.List;

public interface TbJcglXfRwService {

    TbJcglXfRw queryById(String id);

    IPage<TbJcglXfRw> paginQuery(TbJcglXfRwQuery query);

    Integer insert(TbJcglXfRw xf);

    Integer update(TbJcglXfRw xf);

    Boolean deleteById(String id);

    Boolean deleteByIds(List<String> id);
}
